/*
 * Copyright 2013 Zeno Rocha, All Rights Reserved.
 *
 * Code licensed under the BSD License:
 * https://github.com/eduardolundgren/blob/master/LICENSE.md
 *
 * @author Zeno Rocha <zno.rocha@gmail.com>
 */

// -- Require
var assert = require("assert"),
    base = require('../../lib/base'),
    path = require('path'),
    Notifications = require('../../lib/cmds/nt').Impl;

// -- Util
exports.getMockPath = function() {
    return path.join(__dirname, '../mocks/', 'nt.json');
};

// -- Test
describe('Notification tests', function() {
    before(function() {
        Notifications.listEvents = require(exports.getMockPath());
    });

    // describe('displayMessage_()', function() {
    //     it('should return a formatted notification based on text, event and repository', function() {
    //         var event = Notifications.listEvents[0],
    //             text = Notifications.prototype.getMessage_(event),
    //             repo = 'eduardolundgren',
    //             expected = '11:49:10 - zenorocha opened an issue at eduardolundgren',
    //             result = Notifications.prototype.displayMessage_(text, event, repo);

    //         assert.equal(expected, result);
    //     });
    // });

    describe('getMessage_()', function() {
        it('should return a formatted message based on an event type', function() {
            var event = Notifications.listEvents[0],
                expected = 'opened an issue at',
                result = Notifications.prototype.getMessage_(event);

            assert.equal(expected, result);
        });
    });

    describe('getFormatTime_()', function() {
        it('should return a formatted time based on a timestamp', function() {
            var timestamp = '2013-05-24T11:49:10Z',
                expected = '11:49:10',
                result = Notifications.prototype.getFormatTime_(timestamp);

            assert.equal(expected, result);
        });
    });
});